## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMapIterator Struct Template Reference

`#include <XalanMap.hpp>`

Collaboration diagram for XalanMapIterator:

[legend]
List of all members.

## Public Types

- typedef XalanMapTraits::value_type value_type
- typedef XalanMapTraits::reference reference
- typedef XalanMapTraits::pointer pointer
- typedef ptrdiff_t difference_type
- typedef XALAN_STD_QUALIFIER
  bidirectional_iterator_tag iterator_category
- typedef XalanMapIterator<
  XalanMapIteratorTraits<value_type>,
  BaseIterator> Iterator

## Public Methods

- XalanMapIterator (const Iterator &theRhs)
- XalanMapIterator (const BaseIterator &theRhs)
- XalanMapIterator operator++ (int)
- XalanMapIterator& operator++ ()
- reference operator * () const
- pointer operator-> () const
- bool operator== (const XalanMapIterator &theRhs) const
- bool operator!= (const XalanMapIterator &theRhs) const

## Public Attributes

- BaseIterator baseIterator

### template<class XalanMapTraits, class BaseIterator> struct XalanMapIterator

## Member Typedef Documentation

template<class XalanMapTraits, class BaseIterator>
typedef XalanMapIterator< XalanMapIteratorTraits< value_type >, BaseIterator > XalanMapIterator<XalanMapTraits, BaseIterator>::Iterator< XalanMapIteratorTraits<value_type>, BaseIterator>

template<class XalanMapTraits, class BaseIterator>
typedef ptrdiff_t XalanMapIterator<XalanMapTraits, BaseIterator>::difference_type

template<class XalanMapTraits, class BaseIterator>
typedef XALAN_STD_QUALIFIER bidirectional_iterator_tag XalanMapIterator<XalanMapTraits, BaseIterator>::iterator_category

template<class XalanMapTraits, class BaseIterator>
typedef XalanMapTraits::pointer XalanMapIterator<XalanMapTraits, BaseIterator>::pointer

template<class XalanMapTraits, class BaseIterator>
typedef XalanMapTraits::reference XalanMapIterator<XalanMapTraits, BaseIterator>::reference

template<class XalanMapTraits, class BaseIterator>
typedef XalanMapTraits::value_type XalanMapIterator<XalanMapTraits, BaseIterator>::value_type

## Constructor & Destructor Documentation

template<class XalanMapTraits, class BaseIterator>
XalanMapIterator<XalanMapTraits, BaseIterator>::XalanMapIterator<XalanMapTraits, BaseIterator> ( | const Iterator & theRhs )

template<class XalanMapTraits, class BaseIterator>
XalanMapIterator<XalanMapTraits, BaseIterator>::XalanMapIterator<XalanMapTraits, BaseIterator> ( | const BaseIterator & theRhs )

## Member Function Documentation

template<class XalanMapTraits, class BaseIterator>
reference XalanMapIterator<XalanMapTraits, BaseIterator>::operator * ( | ) const

template<class XalanMapTraits, class BaseIterator>
bool XalanMapIterator<XalanMapTraits, BaseIterator>::operator!= ( | const XalanMapIterator<XalanMapTraits, BaseIterator> & theRhs ) const

template<class XalanMapTraits, class BaseIterator>
XalanMapIterator<XalanMapTraits, BaseIterator> & XalanMapIterator<XalanMapTraits, BaseIterator>::operator++ ( | )

template<class XalanMapTraits, class BaseIterator>
XalanMapIterator<XalanMapTraits, BaseIterator> XalanMapIterator<XalanMapTraits, BaseIterator>::operator++ ( | int )

template<class XalanMapTraits, class BaseIterator>
pointer XalanMapIterator<XalanMapTraits, BaseIterator>::operator-> ( | ) const

template<class XalanMapTraits, class BaseIterator>
bool XalanMapIterator<XalanMapTraits, BaseIterator>::operator== ( | const XalanMapIterator<XalanMapTraits, BaseIterator> & theRhs ) const

## Member Data Documentation

template<class XalanMapTraits, class BaseIterator>
BaseIterator XalanMapIterator<XalanMapTraits, BaseIterator>::baseIterator

The documentation for this struct was generated from the following file:

- XalanMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.